Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nortel.soa.oi.opennetworking.types
Class ObjectFactory

    java.lang.Object
      com.nortel.soa.oi.opennetworking.types.ObjectFactory

    public class ObjectFactory

extends java.lang.Object

This object contains factory methods for each Java content interface and Java element interface generated in the com.nortel.soa.oi.opennetworking.types package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.nortel.soa.oi.opennetworking.types

Method Summary
`javax.xml.bind.JAXBElement<CancelCDNLandingPadRequestType>` | `createCancelCDNLandingPadRequest(CancelCDNLandingPadRequestType value)` Create an instance of `JAXBElement``<``CancelCDNLandingPadRequestType``>`}
`CancelCDNLandingPadRequestType` | `createCancelCDNLandingPadRequestType()` Create an instance of `CancelCDNLandingPadRequestType`
`javax.xml.bind.JAXBElement<CancelLandingPadResponseType>` | `createCancelLandingPadResponse(CancelLandingPadResponseType value)` Create an instance of `JAXBElement``<``CancelLandingPadResponseType``>`}
`CancelLandingPadResponseType` | `createCancelLandingPadResponseType()` Create an instance of `CancelLandingPadResponseType`
`javax.xml.bind.JAXBElement<org.oasis_open.docs.wsrf._2004._06.wsrf_ws_basefaults_1_2_draft_01.ExceptionInfo>` | `createGetVersionFault(org.oasis_open.docs.wsrf._2004._06.wsrf_ws_basefaults_1_2_draft_01.ExceptionInfo value)` Create an instance of `JAXBElement``<``ExceptionInfo``>`}
`javax.xml.bind.JAXBElement<GetVersionRequest>` | `createGetVersionRequest(GetVersionRequest value)` Create an instance of `JAXBElement``<``GetVersionRequest``>`}
`javax.xml.bind.JAXBElement<GetVersionResponse>` | `createGetVersionResponse(GetVersionResponse value)` Create an instance of `JAXBElement``<``GetVersionResponse``>`}
`javax.xml.bind.JAXBElement<org.oasis_open.docs.wsrf._2004._06.wsrf_ws_basefaults_1_2_draft_01.ExceptionInfo>` | `createLandingPadCancellationFault(org.oasis_open.docs.wsrf._2004._06.wsrf_ws_basefaults_1_2_draft_01.ExceptionInfo value)` Create an instance of `JAXBElement``<``ExceptionInfo``>`}
`javax.xml.bind.JAXBElement<org.oasis_open.docs.wsrf._2004._06.wsrf_ws_basefaults_1_2_draft_01.ExceptionInfo>` | `createLandingPadReservationFault(org.oasis_open.docs.wsrf._2004._06.wsrf_ws_basefaults_1_2_draft_01.ExceptionInfo value)` Create an instance of `JAXBElement``<``ExceptionInfo``>`}
`javax.xml.bind.JAXBElement<ReserveCDNLandingPadRequestType>` | `createReserveCDNLandingPadRequest(ReserveCDNLandingPadRequestType value)` Create an instance of `JAXBElement``<``ReserveCDNLandingPadRequestType``>`}
`ReserveCDNLandingPadRequestType` | `createReserveCDNLandingPadRequestType()` Create an instance of `ReserveCDNLandingPadRequestType`
`javax.xml.bind.JAXBElement<ReserveLandingPadResponseType>` | `createReserveLandingPadResponse(ReserveLandingPadResponseType value)` Create an instance of `JAXBElement``<``ReserveLandingPadResponseType``>`}
`ReserveLandingPadResponseType` | `createReserveLandingPadResponseType()` Create an instance of `ReserveLandingPadResponseType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.nortel.soa.oi.opennetworking.types

Method Detail

### createCancelLandingPadResponseType

    public CancelLandingPadResponseType createCancelLandingPadResponseType()

  Create an instance of `CancelLandingPadResponseType`

### createReserveCDNLandingPadRequestType

    public ReserveCDNLandingPadRequestType createReserveCDNLandingPadRequestType()

  Create an instance of `ReserveCDNLandingPadRequestType`

### createReserveLandingPadResponseType

    public ReserveLandingPadResponseType createReserveLandingPadResponseType()

  Create an instance of `ReserveLandingPadResponseType`

### createCancelCDNLandingPadRequestType

    public CancelCDNLandingPadRequestType createCancelCDNLandingPadRequestType()

  Create an instance of `CancelCDNLandingPadRequestType`

### createLandingPadCancellationFault

    public javax.xml.bind.JAXBElement<org.oasis_open.docs.wsrf._2004._06.wsrf_ws_basefaults_1_2_draft_01.ExceptionInfo> createLandingPadCancellationFault(org.oasis_open.docs.wsrf._2004._06.wsrf_ws_basefaults_1_2_draft_01.ExceptionInfo value)

  Create an instance of `JAXBElement``<``ExceptionInfo``>`}

### createCancelLandingPadResponse

    public javax.xml.bind.JAXBElement<CancelLandingPadResponseType> createCancelLandingPadResponse(CancelLandingPadResponseType value)

  Create an instance of `JAXBElement``<``CancelLandingPadResponseType``>`}

### createGetVersionResponse

    public javax.xml.bind.JAXBElement<GetVersionResponse> createGetVersionResponse(GetVersionResponse value)

  Create an instance of `JAXBElement``<``GetVersionResponse``>`}

### createGetVersionFault

    public javax.xml.bind.JAXBElement<org.oasis_open.docs.wsrf._2004._06.wsrf_ws_basefaults_1_2_draft_01.ExceptionInfo> createGetVersionFault(org.oasis_open.docs.wsrf._2004._06.wsrf_ws_basefaults_1_2_draft_01.ExceptionInfo value)

  Create an instance of `JAXBElement``<``ExceptionInfo``>`}

### createReserveCDNLandingPadRequest

    public javax.xml.bind.JAXBElement<ReserveCDNLandingPadRequestType> createReserveCDNLandingPadRequest(ReserveCDNLandingPadRequestType value)

  Create an instance of `JAXBElement``<``ReserveCDNLandingPadRequestType``>`}

### createLandingPadReservationFault

    public javax.xml.bind.JAXBElement<org.oasis_open.docs.wsrf._2004._06.wsrf_ws_basefaults_1_2_draft_01.ExceptionInfo> createLandingPadReservationFault(org.oasis_open.docs.wsrf._2004._06.wsrf_ws_basefaults_1_2_draft_01.ExceptionInfo value)

  Create an instance of `JAXBElement``<``ExceptionInfo``>`}

### createGetVersionRequest

    public javax.xml.bind.JAXBElement<GetVersionRequest> createGetVersionRequest(GetVersionRequest value)

  Create an instance of `JAXBElement``<``GetVersionRequest``>`}

### createCancelCDNLandingPadRequest

    public javax.xml.bind.JAXBElement<CancelCDNLandingPadRequestType> createCancelCDNLandingPadRequest(CancelCDNLandingPadRequestType value)

  Create an instance of `JAXBElement``<``CancelCDNLandingPadRequestType``>`}

### createReserveLandingPadResponse

    public javax.xml.bind.JAXBElement<ReserveLandingPadResponseType> createReserveLandingPadResponse(ReserveLandingPadResponseType value)

  Create an instance of `JAXBElement``<``ReserveLandingPadResponseType``>`}

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 All Rights Reserved.